Subject: Re: [Sigtran] [M3UA]1 AS and 1 ASP

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 2 Jan 2003 06:29:54 -0700

PSK,

PSK Chakravarthi wrote:                                                                (Thu, 02 Jan 2003 18:54:43)
> Brian,
> 
> In that case what is Routing Context from each SGP? Will it be same?
> It has to be same because it is for the same AS and the scope of routing
> context is per SG and not per SGP.

No.  The scope of RC is SGP not SG.

> In that case SGP2 should return error for REG REQ of RK1 as RK1 for ASP is
> already registered.

Wrong.

Read Section 3.6.1, 3.6.3, 3.7.1, and particularly 4.4.1.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "PSK Chakravarthi" <[email-masked]>
Date: Thu, 2 Jan 2003 19:43:35 +0530

Brian,

As per RFC 3332 Section 1.4.2.1
"The Routing Context therefore can be viewed as an index into a sending
node's Message Distribution Table containing the Routing Key entries"

Here what is the 'sending node'?  Is it not SG.

thanks
Chak

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 2 Jan 2003 07:34:48 -0700

PSK,

4.4.1 Registration

   ...       The method of Routing Context value assignment at the SGP
   is implementation dependent but must be guaranteed to be unique for
   each Application Server or Routing Key supported by the SGP.

The scope of RC is SGP not SG.

In fact, the RC identifies an AS on an SCTP association, so its scope
is the SGP-ASP relation (SCTP association) only.

--brian

PSK Chakravarthi wrote:                                 (Thu, 02 Jan 2003 19:43:35)

---

From: "PSK Chakravarthi" <[email-masked]>
Date: Thu, 2 Jan 2003 18:54:43 +0530

Brian,

Thanks
Chak

----- Original Message -----
From: "Brian F. G. Bidulock" <[email-masked]>
To: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Cc: "Tolga Asveren" <[email-masked]>; <[email-masked]>
Sent: Thursday, January 02, 2003 4:54 PM
Subject: [Sigtran] Re: [M3UA]1 AS and 1 ASP

> Samuel,
>
> Yes, all the SS7 UAs support this.  The ASP registers once each with SGP1
> and SGP2.
>
> --brian
>
> Samuel Dur D. Jeyaseelan wrote:                  (Thu, 02 Jan 2003
05:08:41)
> >
> > Hi,
> >
> >  Suppose an AS has single ASP and wants to connect to SGP1
> > and SGP2 for the same RK1.
> >
> >
> > +---------+                                 +-----+
> > |+------+ |          RK1      SCTP1         | ASP |
> > || SGP1 |-|---------------------------------+-----+
> > |+------+ |                                    |
> > |         |                                    |
> > |+------+ |          RK1      SCTP2            |
> > || SGP2 |-|------------------------------------+
> > |+------+ |
> > +---------+
> >
> > Does REG procedures at SGP allow this kind of scenario?
> >
> > This kind of scenario may be required in case SGP1 goes down
> > still ASP can deliver messages via SGP2.
> >
> > --Samuel
> >
> >
> >   Alcatel USA, Inc.                  Internet:
<userid>@ssd.usa.alcatel.com
> >   1000 Coit Road, Plano, Texas 75075
> >   ******* The opinions expressed are not those of Alcatel USA, Inc.
*******